b = 0
a = 0

counter = 0
while b == 0 do
pad = Controls.read()
	if a == 0 then
		enemy[1].SPD = enemy[1].SPD -2
		a = 1
	end	
	screen:blit(1,171,textbox)
	screen:print(55,190, pokemon[1].name.." used growl. "..enemy[1].name.."'s speed ", blue)
	screen:print(55,210, "went down.", blue)
	counter = counter +1 
	if pad:r() and oldpad:r() ~= pad:r() and counter >= 15 then
		b = 1
		turn = 1
	end
screen.flip()
oldpad = pad
end